ACSD-56515: Admin with website-level permissions cannot edit Dynamic Block

Last update: 2024-02-12
  • Created for:
  • Admin
    Developer

The ACSD-56515 patch fixes the issue where the admin with website-level permissions cannot add or edit the Dynamic Block. This patch is available when the Quality Patches Tool (QPT) 1.1.45 is installed. The patch ID is ACSD-56515. Please note that the issue is scheduled to be fixed in Adobe Commerce 2.4.7.

Affected products and versions

The patch is created for Adobe Commerce version:

  • Adobe Commerce (all deployment methods) 2.4.5-p4

Compatible with Adobe Commerce versions:

  • Adobe Commerce (all deployment methods) 2.4.2 - 2.4.6-p3
NOTE

The patch might become applicable to other versions with new Quality Patches Tool releases. To check if the patch is compatible with your Adobe Commerce version, update the magento/quality-patches package to the latest version and check the compatibility on the Quality Patches Tool: Search for patches page. Use the patch ID as a search keyword to locate the patch.

Issue

The admin with website-level permissions cannot add or edit the Dynamic Block.

Steps to reproduce:

  1. Create a secondary website with store and storeview.
  2. Go to System > Permissions > User Roles and create a user role restricted to the secondary website scope with all resources available.
  3. Create an admin user with the role created above.
  4. Log in with the restricted admin user and create a Dynamic Block.

Expected results:

The admin user with restrictions to the website can create a Dynamic Block.

Actual results:

You get the following error: More permissions are needed to view this item.

Apply the patch

To apply individual patches, use the following links depending on your deployment method:

To learn more about Quality Patches Tool, refer to:

For info about other patches available in QPT, refer to Quality Patches Tool: Search for patches in the Quality Patches Tool guide.

On this page